
import { View, Text, Button } from '@tarojs/components'
import './style.less'

export default (props) => {
  const { butText, butWidth, butHeight, butFontSize, butBorderRadius, onClick, formType, disabled } = props
  let butStyle = {
    width: `${butWidth || 100}px`,
    height: `${butHeight || 40}px`,
    borderRadius: `${butBorderRadius || 0}px`,
    fontSize: `${butFontSize || 20}px`,

  }
  let butStyle2 = {
    lineHeight: `${butHeight || 40}px`,
  }
  const onClicks = () => {
    onClick()
  }
  return (
    <Button disabled={disabled} style={butStyle} onClick={onClicks} className='buttont-box' formType={formType || ''}  >
      <View style={butStyle2}>{butText || ''}</View>
    </Button>
  )
}
